# HG changeset patch
# Parent c5aff361c4ad9e3575fbd073875e58df1e8a8138
Fix addition of int to string to shut up compiler.  Still broken?

diff -r c5aff361c4ad -r 573c01591591 src/ChangeLog
--- a/src/ChangeLog	Mon Sep 09 10:33:27 2013 +0900
+++ b/src/ChangeLog	Mon Sep 09 10:56:29 2013 +0900
@@ -1,3 +1,8 @@
+2013-09-09  Stephen J. Turnbull  <stephen@xemacs.org>
+
+	* editfns.c (Fencode_time):
+	Fix addition of int to string to shut up compiler.  Still broken?
+
 2013-09-09  Stephen J. Turnbull  <stephen@xemacs.org>
 
 	* glyphs.c (check_valid_xbm_inline):
diff -r c5aff361c4ad -r 573c01591591 src/editfns.c
--- a/src/editfns.c	Mon Sep 09 10:33:27 2013 +0900
+++ b/src/editfns.c	Mon Sep 09 10:56:29 2013 +0900
@@ -1168,7 +1168,7 @@
   CHECK_FIXNUM (*args); tm.tm_hour = XFIXNUM (*args++);	/* hour */
   CHECK_FIXNUM (*args); tm.tm_mday = XFIXNUM (*args++);	/* day */
   CHECK_FIXNUM (*args); tm.tm_mon  = XFIXNUM (*args++) - 1;	/* month */
-  CHECK_FIXNUM (*args); tm.tm_year = XFIXNUM (*args++) - 1900;/* year */
+  CHECK_FIXNUM (*args); tm.tm_year = XFIXNUM (*args++) - 1900;	/* year */
 
   tm.tm_isdst = -1;
 
@@ -1190,7 +1190,9 @@
       else if (FIXNUMP (zone))
 	{
 	  int abszone = abs (XFIXNUM (zone));
-	  sprintf (tzbuf, "XXX%s%d:%02d:%02d", "-" + (XFIXNUM (zone) < 0),
+	  /* #### I have no idea what this conforms to,
+	     but the compiler has stopped whining. */
+	  sprintf (tzbuf, "XXX%s%d:%02d:%02d", (XFIXNUM (zone) < 0) ? "-" : "+",
 		   abszone / (60*60), (abszone/60) % 60, abszone % 60);
 	  tzstring = tzbuf;
 	}
